﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 54540 Series (1 yr) VER IEEE /5800+5ch,DMM
DATE:                  2017-03-29 12:42:17
AUTHOR:                Fluke
REVISION:              $Revision: 19014 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       197
CONFIGURATION:         Fluke 5800A (C5)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:  ZY
#
#  Model(s) Covered:  54540A, 54542A, 54540C, 54542C
#
#  Source(s):         HP 54520 and 54540 Series Oscilloscopes Service Guide,
#                     Part No. 54542-97011, 2nd Edition, November 1993
#
#                     HP 54520C and 54540C Series Oscilloscopes Service Guide,
#                     Part No. 54542-97044, 1st Edition, October 1995
#
#  Compatibility:     MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#                     Tee, 50 Ohm, BNC(f)-(f)-(f), Pomona Model 3284
#                     Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-12, 2 ea.
#                     Adapter, BNC(f) to double-banana(m), Pomona Model 1269
#                     Formatted, blank floppy disk
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statement are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C2
  1.003  5800         1Vpp                         500MH          LS S6 S  L
  1.004  IEEE         [@DMM]
  1.005  ENDIF

  1.006  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.007  ASK+           K

  1.008  MATH         @ReqMetCalVersion = "7.20x"
  1.009  CALL         Sub MET/CAL Version Check

  1.010  IF           NOT(@MetCalVersionOK)
  1.011  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or
  1.011  DISP         later.
  1.012  END
  1.013  ENDIF

  1.014  CALL         Sub Display Copyright
  1.015  CALL         Sub High Voltage Safety Warning
  1.016  CALL         Sub Select Failed Test Mode
  1.017  CALL         Sub Select Verification Method (No NTHROW)

  1.018  HEAD         PRELIMINARY INSTRUCTIONS
  1.019  DISP         Ensure a minimum UUT warm-up time of at least
  1.019  DISP         30 minutes has been allowed to elapse, prior
  1.019  DISP         to beginning verification.

  1.020  HEAD         EQUIPMENT REQUIREMENTS
  1.021  OPBR         -z Do you want to REVIEW the list of additional
  1.021  OPBR         equipment and/or accessories required?

  1.022  IF           MEM1
  1.023  DISP         The following additional equipment and/or
  1.023  DISP         accessories are required:
  1.023  DISP
  1.023  DISP         - Tee, 50 Ohm, BNC(f)-(f)-(f), Pomona Model 3284
  1.023  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36, 2 ea.
  1.023  DISP         - Adapter, BNC(f) to double-banana(m), Pomona Model 1269
  1.023  DISP         - Formatted, blank floppy disk
  1.024  ENDIF

  1.025  DISP         Connect the UUT to IEEE-488 port 1 and turn it on.

  1.026  IEEE         *RST

  1.027  MATH         @UUT_Manufacturer = "Hewlett-Packard"
  1.028  MATH         @UUT_AssetNum     = UUT()

  1.029  IF           NOT(EMPTY(@UUT_AssetNum))
  1.030  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.031  ENDIF

  1.032  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.033  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.034  IF           @Abort
  1.035  END
  1.036  ENDIF

  1.037  MATH         @4ChUUT = 1
  1.038  CALL         Sub HP 545xx Self-test IEEE
  1.039  JMPL         END                 @Abort

  1.040  CALL         Sub HP 545xx (1 yr) DC Calibrator IEEE /DMM

  1.041  PIC          hp5454x_ch1_ch2_ch3_ch4_aux_58xx
  1.042  MATH         @Chan = 1
  1.043  M5800                                                    C1
  1.044  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5800
  1.045  MATH         @Chan = 2
  1.046  M5800                                                    C2
  1.047  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5800
  1.048  MATH         @Chan = 3
  1.049  M5800                                                    C3
  1.050  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5800
  1.051  MATH         @Chan = 4
  1.052  M5800                                                    C4
  1.053  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5800

  1.054  MATH         @Chan = 1
  1.055  M5800                                                    C1
  1.056  CALL         Sub HP 545xx (1 yr) DCV IEEE /5800
  1.057  MATH         @Chan = 2
  1.058  M5800                                                    C2
  1.059  CALL         Sub HP 545xx (1 yr) DCV IEEE /5800
  1.060  MATH         @Chan = 3
  1.061  M5800                                                    C3
  1.062  CALL         Sub HP 545xx (1 yr) DCV IEEE /5800
  1.063  MATH         @Chan = 4
  1.064  M5800                                                    C4
  1.065  CALL         Sub HP 545xx (1 yr) DCV IEEE /5800

  1.066  MATH         @Chan = 1
  1.067  M5800                                                    C1
  1.068  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5800
  1.069  MATH         @Chan = 2
  1.070  M5800                                                    C2
  1.071  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5800
  1.072  MATH         @Chan = 3
  1.073  M5800                                                    C3
  1.074  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5800
  1.075  MATH         @Chan = 4
  1.076  M5800                                                    C4
  1.077  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5800

  1.078  MATH         @Chan = 1
  1.079  M5800                                                    C1
  1.080  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5800
  1.081  MATH         @Chan = 2
  1.082  M5800                                                    C2
  1.083  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5800
  1.084  MATH         @Chan = 3
  1.085  M5800                                                    C3
  1.086  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5800
  1.087  MATH         @Chan = 4
  1.088  M5800                                                    C4
  1.089  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5800

  1.090  MATH         @Chan = 1
  1.091  M5800                                                    C1
  1.092  CALL         Sub HP 545xx (1 yr) Timebase IEEE /5800
  1.093  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5800
  1.094  MATH         @Chan = 2
  1.095  M5800                                                    C2
  1.096  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5800
  1.097  MATH         @Chan = 3
  1.098  M5800                                                    C3
  1.099  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5800
  1.100  MATH         @Chan = 4
  1.101  M5800                                                    C4
  1.102  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5800

  1.103  M5800                                                    C5
  1.104  CALL         Sub HP 545xx (1 yr) AUX Trigger IEEE /5800

  1.105  LABEL        END
  1.106  HEAD
  1.107  RSLT         =
  1.108  IEEE2        SYST:DSP "5452xA/C Verification Done"
  1.109  IEEE         [GTL]
  1.110  DISP         Remove all connections from the UUT.

  1.111  IF           @Abort
  1.112  DISP         {V E R I F I C A T I O N  A B O R T E D !}
  1.113  ENDIF

  1.114  END
